com.verisign.epp.codec.rgppoll

## Class EPPRgpPollStatus

- java.lang.Object
- - com.verisign.epp.codec.rgppoll.EPPRgpPollStatus

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRgpPollStatus
      extends java.lang.Object
      implements EPPCodecComponent

  The EPPRgpPollStatus is the EPPCodecComponent that knows how to encode and decode RGP Poll status elements from/to XML and object instance.

  Title: EPP 1.0 RGP

  Description: RGP Poll Mapping for the EPP SDK

  Copyright: Copyright (c) 2004

  Company: VeriSign

  Version:
    1.0
  Author:
    clloyd
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADD_PERIOD` The constant value for addPeriod
    `static java.lang.String` | `AUTO_RENEW_PERIOD` The constant value for autoRenewPeriod
    `static java.lang.String` | `ELM_DEFAULT_LANG` Default Language -- English "en"
    `static java.lang.String` | `PENDING_DELETE` The constant value for pendingDelete
    `static java.lang.String` | `PENDING_RESTORE` The constant value for pendingRestore
    `static java.lang.String` | `REDEMPTION_PERIOD` The constant value for redemptionPeriod
    `static java.lang.String` | `RENEW_PERIOD` The constant value for renewPeriod
    `static java.lang.String` | `TRANSFER_PERIOD` The constant value for transferPeriod

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRgpPollStatus()` Create a new instance of EPPRgpPollStatus
    `EPPRgpPollStatus(java.lang.String aStatus)` Create a new instance of EPPRgpPollStatus with the given status

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPRgpPollStatus`.
    `void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this RGP inf data to the given DOM Document
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRgpPollStatus` compare.
    `java.lang.String` | `getLang()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getStatus()`
    `void` | `setLang(java.lang.String lang)`
    `void` | `setMessage(java.lang.String message)`
    `void` | `setStatus(java.lang.String status)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADD_PERIOD

          public static final java.lang.String ADD_PERIOD

      The constant value for addPeriod
      See Also:
        Constant Field Values

    - #### AUTO_RENEW_PERIOD

          public static final java.lang.String AUTO_RENEW_PERIOD

      The constant value for autoRenewPeriod
      See Also:
        Constant Field Values

    - #### RENEW_PERIOD

          public static final java.lang.String RENEW_PERIOD

      The constant value for renewPeriod
      See Also:
        Constant Field Values

    - #### TRANSFER_PERIOD

          public static final java.lang.String TRANSFER_PERIOD

      The constant value for transferPeriod
      See Also:
        Constant Field Values

    - #### PENDING_DELETE

          public static final java.lang.String PENDING_DELETE

      The constant value for pendingDelete
      See Also:
        Constant Field Values

    - #### PENDING_RESTORE

          public static final java.lang.String PENDING_RESTORE

      The constant value for pendingRestore
      See Also:
        Constant Field Values

    - #### REDEMPTION_PERIOD

          public static final java.lang.String REDEMPTION_PERIOD

      The constant value for redemptionPeriod
      See Also:
        Constant Field Values

    - #### ELM_DEFAULT_LANG

          public static final java.lang.String ELM_DEFAULT_LANG

      Default Language -- English "en"
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRgpPollStatus

          public EPPRgpPollStatus()

      Create a new instance of EPPRgpPollStatus

    - #### EPPRgpPollStatus

          public EPPRgpPollStatus(java.lang.String aStatus)

      Create a new instance of EPPRgpPollStatus with the given status
      Parameters:
        `aStatus` - the status value to use for this instance. Should use one of the static constants defined for this class as a value.

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Append all data from this RGP inf data to the given DOM Document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRgpPollStatus` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRgpPollStatus` instance to compare with
      Returns:
        true if equal false otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRgpPollStatus`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRgpPollStatus`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public void setMessage(java.lang.String message)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String status)

    - #### getLang

          public java.lang.String getLang()

    - #### setLang

          public void setLang(java.lang.String lang)

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.